#
# spec file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
%{?sle15_python_module_pythons}
Name:           python-sphinxcontrib-htmlhelp%{psuffix}
Version:        2.0.1
Release:        150400.3.5.1
Summary:        Sphinx contrib extension to generate html help files
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/sphinx-doc/sphinxcontrib-htmlhelp
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-htmlhelp/sphinxcontrib-htmlhelp-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module html5lib}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module sphinxcontrib-htmlhelp >= %{version}}
%endif
%python_subpackages

%description
Html help generating extension.

%prep
%autosetup -p1 -n sphinxcontrib-htmlhelp-%{version}

%build
%pyproject_wheel

%install
%if !%{with test}
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%if %{with test}
%check
%pytest
%endif

%if !%{with test}
%files %{python_files}
%doc README.rst CHANGES
%license LICENSE
%{python_sitelib}/*
%endif

%changelog
* Fri Apr 21 2023 dmueller@suse.com
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 mcepl@suse.com
- Make calling of %%{sle15modernpython} optional.
* Mon Mar  6 2023 dmueller@suse.com
- update to 2.0.1:
  * Drop support for Python 3.7 and lower
  * Fix deprecation warnings from Sphinx 6.1
- drop sphinx5.patch (upstream)
* Mon May 30 2022 mmachova@suse.com
- Add upstream patch sphinx5.patch to fix build with the new Sphinx
* Sun Jun  6 2021 dmueller@suse.com
- update to 2.0.0:
  * Drop python-3.5 support
  * Remove deprecated method: ``HTMLHelpBuilder.open_file()``
  * #6685: htmlhelp builder should generate HTML4 docs instead of HTML5
* Fri Feb 28 2020 dmueller@suse.com
- update to 1.0.3:
  * #6685: htmlhelp builder should generate HTML4 docs instead of HTML5
* Thu Jun  6 2019 tchvatal@suse.com
- Initial commit, needed by Sphinx
